summarylogtreecommitdiffstats
path: root/lvce.sh
diff options
context:
space:
mode:
authorzxp198210052023-12-04 09:21:56 +0800
committerzxp198210052023-12-04 09:21:56 +0800
commit269e57af4d194c92d9cb011784e9d17c03a6af79 (patch)
tree5f270e5980fc2dc3ba43ea808d5e18c0e2e8f7fd /lvce.sh
parent0c666a30a1daaf95471b358ed2da39f52f5f5f94 (diff)
downloadaur-269e57af4d194c92d9cb011784e9d17c03a6af79.tar.gz
update to 0.20.12
Diffstat (limited to 'lvce.sh')
-rw-r--r--lvce.sh17
1 files changed, 9 insertions, 8 deletions
diff --git a/lvce.sh b/lvce.sh
index 7bcbd6099a9b..2ec4412e5c4f 100644
--- a/lvce.sh
+++ b/lvce.sh
@@ -1,13 +1,14 @@
#!/bin/bash
-_APPDIR="/usr/lib/lvce"
-export PATH="${APPDIR}:${PATH}"
+set -e
+_APPDIR="/usr/lib/@appname@"
+export PATH="${_APPDIR}:${PATH}"
export ELECTRON_IS_DEV=0
-#export LD_LIBRARY_PATH="${APPDIR}/lib:${LD_LIBRARY_PATH}"
-_ASAR="${_APPDIR}/app"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+_ASAR="${_APPDIR}/@appasar@"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- cd $APPDIR
- exec electron@electronversion@ ${_ASAR} "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
else
- cd $APPDIR
- exec electron@electronversion@ ${_ASAR} --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
fi \ No newline at end of file